import main
from datetime import datetime
import pytz, json
from re import sub 

tz = pytz.timezone('Europe/Sofia')


def get():
    data = main.htp()
    data["air_pollution"] = main.stinker()
    data["time"] = datetime.now(tz).strftime("%H:%M:%S")
    return data

# Heavily WIP
def daily():
    data = get()
    with open(f"{main.HOME_DIR}/api/daily.json", "r+") as f:
        f_data = json.load(f)
        if datetime.now(tz).strftime("%x") in f_data.keys():
            old = f_data[datetime.now(tz).strftime("%x")]
            new = {}
            for i in old.keys():
                if i == "time":
                    new["time"] = data["time"]
                elif i == "air_pollution":
                    new["air_pollution"] = data["air_pollution"]
                else:
                    print(type(old[i]))
                    print(data[i])
                    new[i] = (int(sub("[^0-9]", "", old[i])) + int(sub("[^0-9]", "", data[i]))) / 2 
            data = new
        else:
            f_data[datetime.now(tz).strftime("%x")] = data
            f.seek(0)
        json.dump(f_data, f, indent=4)
        f.close()


def manual():
    data = get()

    with open(f"{main.HOME_DIR}/api/all.json", "r+") as f:
        f_data = json.load(f)
        f_data[f'{datetime.now(tz).strftime("%H:%M:%S")}&{datetime.now(tz).strftime("%x")}'] = data
        f.seek(0)
        json.dump(f_data, f, indent=4)
        
    print("Saved")


if __name__ == "__main__":
    daily()
